#include <Keypad.h>
#include <LiquidCrystal.h>
LiquidCrystal lcd(12, 11, 5, 4, 3, 2);
byte led = 13;
const int pass='1';
const byte ROWS = 4; //four rows
const byte COLS = 4; //three columns
char keys[ROWS][COLS] = 
{
  {'1','2','3','A'},
  {'4','5','6','B'},
  {'7','8','9','C'},
  {'*','0','#','D'}
};
byte rowPins[ROWS] = {A0, A1, A2, A3}; //connect to the row pinouts of the keypad
byte colPins[COLS] = {9, 8, 7, 6}; //connect to the column pinouts of the keypad

Keypad keypad = Keypad( makeKeymap(keys), rowPins, colPins, ROWS, COLS );

void setup()
{
   pinMode(led, OUTPUT);
   digitalWrite(led, LOW);           // Turn the LED off.
  lcd.begin(16, 2);
  Serial.begin(9600);
   lcd.print("ENTER PASSWORD");
   lcd.setCursor(0, 1);
   keypad.addEventListener(keypadEvent);
}
  
void loop(){
  char key = keypad.getKey();
  
  if (key)
  {
    Serial.println(key);
    lcd.print(key);
  }
}
void keypadEvent(KeypadEvent key)
{
    switch (keypad.getState())
    {
    case PRESSED:
        if (key ==pass ) 
        {
            digitalWrite(led,HIGH);        // Remember LED state
        }
        else{digitalWrite(led,LOW);}
        break;
    }
}




